Subject: Fwd: Trainer Candidate - Nitin Sachdeva
From: Deeksha Dadu <[email-masked]>
To: HR Livesalesman <[email-masked]>
Date: Mon, 20 Jul 2020 09:35:25 +0000

He has made lot of grammatical errors but talk to him to see how his English is

Sent from my iPhone

Begin forwarded message:

From: Nitin Sachdeva <[email-masked]>
Date: 20 July 2020 at 13:37:00 GMT+5:30
To: Saurabh Dadu <[email-masked]>, "[email-masked]" <[email-masked]>, Deeksha Dadu <[email-masked]>, Ashish Dabral <[email-masked]>, "Pritish Nandi (LSM)" <[email-masked]>
Subject: Trainer Candidate - Nitin Sachdeva
Reply-To: [email-masked]

[https://www.jotform.com/uploads/lsmindia/form_files/LSM%20Logo.5ec38b9aad59e5.76825569.png]

        [https://cdn.jotfor.ms/assets/img/builder/email_logo_small.png]         Tech Support Test

Name    Nitin Sachdeva
E-mail  [email-masked]
Phone Number    (+91) 8700758017
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station    I can commute only using Metro
Where do you currently live (area)      Greater Noida
Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA
        Name of Company Designation     Last working day        Monthly Salary (inhand)
Current Employer        British Airways Sr. Associate   07/05/2020      35060
Previous Employer 1     Tech Mahindra   Lead Process Trainer    16/09/2019      48000
Previous Employer 2     Concentrix      Process Trainer 4/12/2018       40000
If Selected, how much time do you need to join? 0 days
Please briefly describe your work experience specifically in training?  I have taken several batches for New Hire Training. Taken up Bottom Quartlle Management. Preparing Knowledge Test for BAU and Support staff.
Updates and Process improvement training
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.  I was given a team of twenty advisors who were Bottom Quartile and had will issue. They all were on PIP (Performance Improvement Plan) if they do not cross the minimum target they would have asked to leave. It was very difficult task first to motivate them and then to make them knowledgeable about the process. I took help Quality team and operations team to support the batch by giving some sessions during the training so that team can discuss their challenges.
it was a successful batch.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)   1. When a customer gets all the query resolved is called good customer service on the other hand along with all queries resolved if they get extra information related to the queries and self care options then its a great customer service
2. When a customer need not to call again for same query in future (FCR) is great customer service
3. Quick and reliable resolution which build the customer's trust
4. If a customer remembers our name in good terms and says I will always would like to talk to you will be a great customer service.
5. if the outcome of the call results in benefit of all Mine, Company and Customer . Then its a great customer service
What according to you makes you a good candidate for this position?     1. Required experience in training
2. Open to feedback to improve my skills
3. Quiet interactive and under the psyche of new joinees
4. Taken over 50 batches
5. Good in People Management
On a scale of 1 - 5 please rate your fluency in spoken English  4